## r-cran-gsl 1.9

=== DESCRIPTION ===
Package: gsl
Version: 1.9-10.3
Depends: R (>= 2.10.0)
Date: 2016-12-14
Title: Wrapper for the Gnu Scientific Library
Author: Robin K. S. Hankin; qrng functions by Duncan Murdoch and
 multimin by Andrew Clausen
SystemRequirements: Gnu Scientific Library version >= 1.12
Description: 
 An R wrapper for the special functions and quasi random number
 generators of the Gnu Scientific Library
 (http://www.gnu.org/software/gsl/).  See gsl-package.Rd for details of 
 overall package organization, and Misc.Rd for some functions that are
 widely used in the package, and some tips on installation.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL (>= 2)
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2017-01-05 11:13:10
Packaged: 2017-01-05 07:48:21 UTC; rksh

## r-cran-gsl 1.9-10

=== debian/changelog ===
r-cran-gsl (1.9-10-1) unstable; urgency=low

  * Initial release (Closes: #752387).

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jun 2014 09:24:05 +0200

=== debian/control ===
Source: r-cran-gsl
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9.0),
               cdbs,
               r-base-dev,
               libgsl0-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-gsl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-gsl/trunk/
Homepage: http://cran.r-project.org/web/packages/gsl/

Package: r-cran-gsl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Description: GNU R wrapper for the GNU Scientific Library
 An R wrapper for the special functions and quasi random number
 generators of the GNU Scientific Library
 (http://www.gnu.org/software/gsl/).

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/gsl_([-\d.]*)\.tar\.gz

## r-cran-gsl 1.9-10.1

=== debian/changelog ===
r-cran-gsl (1.9-10.1-1build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 09:58:08 -0500

r-cran-gsl (1.9-10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev

  [ Andreas Tille ]
  * New upstream version
    Closes: #805829
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2015 09:16:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: r-cran-gsl
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9.0),
                cdbs,
                r-base-dev,
-               libgsl0-dev
-Standards-Version: 3.9.5
+               libgsl-dev
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-gsl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-gsl/trunk/
 Homepage: http://cran.r-project.org/web/packages/gsl/

## r-cran-gsl 1.9-10.3

=== debian/changelog ===
r-cran-gsl (1.9-10.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2017 09:14:25 +0100

r-cran-gsl (1.9-10.2-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Convert to dh-r
  * debhelper 10
  * d/watch: version=4
  * Canonical homepage for CRAN
  * Add autopkgtest based on vignette

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 22:48:28 +0100

=== debian/control ===
Source: r-cran-gsl
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               libgsl-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-science/packages/R/trunk/packages/r-cran-gsl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/trunk/packages/r-cran-gsl/trunk/
Homepage: https://cran.r-project.org/package=gsl

Package: r-cran-gsl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wrapper for the GNU Scientific Library
 An R wrapper for the special functions and quasi random number
 generators of the GNU Scientific Library
 (http://www.gnu.org/software/gsl/).

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/gsl_([-\d.]*)\.tar\.gz

## r-cran-gsl 2.1

=== DESCRIPTION ===
Package: gsl
Version: 2.1-6
Depends: R (>= 3.1.0)
Title: Wrapper for the Gnu Scientific Library
Authors@R: c(person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415")),
             person(given="Andrew",family="Clausen",role="ctb",comment="multimin functionality"),
             person(given="Duncan",family="Murdoch",role="ctb",comment="qrng functions"))
SystemRequirements: Gnu Scientific Library version >= 2.1
Description: 
 An R wrapper for some of the functionality of the
 Gnu Scientific Library.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-3
URL: https://github.com/RobinHankin/gsl.git
BugReports: https://github.com/RobinHankin/gsl/issues
NeedsCompilation: yes
Packaged: 2019-03-25 00:29:54 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>),
  Andrew Clausen [ctb] (multimin functionality),
  Duncan Murdoch [ctb] (qrng functions)
Repository: CRAN
Date/Publication: 2019-03-25 09:10:03 UTC

## r-cran-gsl 2.1-6

=== debian/changelog ===
r-cran-gsl (2.1-6-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 16:26:06 +0200

r-cran-gsl (2.1-6-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jul 2019 22:21:23 +0200

r-cran-gsl (1.9-10.3-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jun 2018 23:47:29 +0200

r-cran-gsl (1.9-10.3-2) unstable; urgency=medium

  * Team upload.
  * Move packaging from SVN to Git.
  * Bump to Standards-Version 4.1.1.
  * Use secure URL in debian/watch.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 16 Nov 2017 14:37:12 +0100

=== debian/control ===
Source: r-cran-gsl
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               libgsl-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gsl
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gsl.git
Homepage: https://cran.r-project.org/package=gsl
Rules-Requires-Root: no

Package: r-cran-gsl
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wrapper for the GNU Scientific Library
 An R wrapper for the special functions and quasi random number
 generators of the GNU Scientific Library
 (http://www.gnu.org/software/gsl/).

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/gsl_([-\d.]*)\.tar\.gz

## r-cran-gsl 2.1-7.1

=== debian/changelog ===
r-cran-gsl (2.1-7.1-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:42:06 +0000

r-cran-gsl (2.1-7.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 2.1-7.1

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Nov 2021 03:50:50 +0530

r-cran-gsl (2.1-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 11:10:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-gsl
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -8,7 +9,7 @@
                dh-r,
                r-base-dev,
                libgsl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gsl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gsl.git
 Homepage: https://cran.r-project.org/package=gsl

## r-cran-gsl 2.1-8

=== debian/changelog ===
r-cran-gsl (2.1-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:03:13 +0100

=== debian/control ===
Source: r-cran-gsl
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gsl
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gsl.git
Homepage: https://cran.r-project.org/package=gsl
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               libgsl-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-gsl
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wrapper for the GNU Scientific Library
 An R wrapper for the special functions and quasi random number
 generators of the GNU Scientific Library
 (http://www.gnu.org/software/gsl/).

## r-cran-gsl 2.1-9

=== debian/changelog ===
r-cran-gsl (2.1-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 13:58:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-gsl
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               libgsl-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gsl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gsl.git
 Homepage: https://cran.r-project.org/package=gsl
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               libgsl-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-gsl
 Architecture: any
